This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 983329 - DiskLabelCommitError: Could not commit to disk /dev/md/vol0_0, (py_ped_disk_commit)
DiskLabelCommitError: Could not commit to disk /dev/md/vol0_0, (py_ped_disk_c...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:f15dca1ab88a76da8054a4a8280...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 22:05 EDT by Aram Agajanian
Modified: 2015-02-17 11:04 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:04:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda.log (215.56 KB, text/plain)
2013-07-10 22:05 EDT, Aram Agajanian
no flags Details
File: environ (441 bytes, text/plain)
2013-07-10 22:05 EDT, Aram Agajanian
no flags Details
File: lsblk_output (2.27 KB, text/plain)
2013-07-10 22:05 EDT, Aram Agajanian
no flags Details
File: nmcli_dev_list (3.42 KB, text/plain)
2013-07-10 22:05 EDT, Aram Agajanian
no flags Details
File: os_info (179 bytes, text/plain)
2013-07-10 22:05 EDT, Aram Agajanian
no flags Details
File: program.log (73.96 KB, text/plain)
2013-07-10 22:05 EDT, Aram Agajanian
no flags Details
File: storage.log (837.21 KB, text/plain)
2013-07-10 22:05 EDT, Aram Agajanian
no flags Details
File: syslog (121.41 KB, text/plain)
2013-07-10 22:05 EDT, Aram Agajanian
no flags Details
File: ifcfg.log (576 bytes, text/plain)
2013-07-10 22:05 EDT, Aram Agajanian
no flags Details
File: packaging.log (346.61 KB, text/plain)
2013-07-10 22:05 EDT, Aram Agajanian
no flags Details
File: anaconda-tb (1.59 MB, application/octet-stream)
2013-07-10 22:05 EDT, Aram Agajanian
no flags Details

  None (edit)
Description Aram Agajanian 2013-07-10 22:05:01 EDT
Description of problem:
I tried to remove all of my partitions and LVs and then create new partitions and LVs.

My computer has an Intel BIOS RAID 1 array.

Version-Release number of selected component:
anaconda-19.30.13-1

The following was filed automatically by anaconda:
anaconda 19.30.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/formats/disklabel.py", line 294, in commit
    raise DiskLabelCommitError(msg)
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 1588, in _destroy
    self.disk.originalFormat.commit()
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 821, in destroy
    self._destroy()
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 318, in execute
    self.device.destroy()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 242, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 310, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 169, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 140, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib64/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
DiskLabelCommitError: Could not commit to disk /dev/md/vol0_0, (py_ped_disk_commit)

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:UUID=e2d5f0c9-edd4-40e5-9ded-ec4c1ab51b78 rd.live.check quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19
Comment 1 Aram Agajanian 2013-07-10 22:05:05 EDT
Created attachment 771927 [details]
File: anaconda.log
Comment 2 Aram Agajanian 2013-07-10 22:05:09 EDT
Created attachment 771928 [details]
File: environ
Comment 3 Aram Agajanian 2013-07-10 22:05:13 EDT
Created attachment 771929 [details]
File: lsblk_output
Comment 4 Aram Agajanian 2013-07-10 22:05:16 EDT
Created attachment 771930 [details]
File: nmcli_dev_list
Comment 5 Aram Agajanian 2013-07-10 22:05:19 EDT
Created attachment 771931 [details]
File: os_info
Comment 6 Aram Agajanian 2013-07-10 22:05:23 EDT
Created attachment 771932 [details]
File: program.log
Comment 7 Aram Agajanian 2013-07-10 22:05:29 EDT
Created attachment 771933 [details]
File: storage.log
Comment 8 Aram Agajanian 2013-07-10 22:05:32 EDT
Created attachment 771934 [details]
File: syslog
Comment 9 Aram Agajanian 2013-07-10 22:05:36 EDT
Created attachment 771935 [details]
File: ifcfg.log
Comment 10 Aram Agajanian 2013-07-10 22:05:40 EDT
Created attachment 771936 [details]
File: packaging.log
Comment 11 Aram Agajanian 2013-07-10 22:05:46 EDT
Created attachment 771937 [details]
File: anaconda-tb
Comment 12 Fedora End Of Life 2015-01-09 13:50:34 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 11:04:05 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.